Subject: Re: [PATCH] pktgen handle netdev device getting full.

From: Ben Greear <[email-masked]>
Date: Thu, 16 Sep 2004 15:59:30 -0700

Stephen Hemminger wrote:
> I was trying out pktgen on a NIC with an undersized ring, so 
> hard_start_xmit would always return non-zero when full.  This caused a slew
> of console messages.  Better to just have pktgen retry in this case.

My understanding is that if the queue is not stopped, then you
should not get the hard xmit errors.  So, in a proper driver,
you should not see these printks.

By the way, is there any interest in adding my patch that also allows
pktgen to receive packets (and count the statistics, etc)?  I know
DaveM objected to the hook in the skb-receive logic some time back,
but maybe he has a different opinion now?

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com